Bug 683577 - gdm: crash/race in on_settings_is_loaded_changed
Summary: gdm: crash/race in on_settings_is_loaded_changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-09 18:33 UTC by Jason D. Clinton
Modified: 2015-01-14 23:26 UTC (History)
4 users (show)

Fixed In Version: gdm-2.91.93-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 06:09:33 UTC


Attachments (Terms of Use)
Log of failing GDM slave (18.16 KB, application/octet-stream)
2011-03-09 18:33 UTC, Jason D. Clinton
no flags Details

Description Jason D. Clinton 2011-03-09 18:33:58 UTC
Created attachment 483284 [details]
Log of failing GDM slave

Description of problem:
gdm blows up when responding to interface=org.gnome.DisplayManager.Session method=SavedLanguageNameRead signal during login. The attached trace appears to 
show a null pointer deference on the 'settings' variable:

gdm[1464]: #6  gdm_session_settings_is_loaded (settings=0x0) at gdm-session-settings.c:246
gdm[1464]: #7  0x00000000004086a8 in on_settings_is_loaded_changed (worker=0x144ac40) at gdm-session-worker.c:2114
gdm[1464]: #8  0x00000036c940e2ee in g_closure_invoke () from /lib64/libgobject-2.0.so.0

Version-Release number of selected component (if applicable): 2.91.93-1


How reproducible: about 70% of the time


Steps to Reproduce:
1. Boot system
2. Try to login
Seem especially reproducible if automatic login is enabled but occasionally happens on manual login, as well.

Usually, attempting to log in a second time results in success.


Actual results:
gdm slave crashes with attached backtrace and login process freezes with spinning wait cursor.

Comment 1 Ray Strode [halfline] 2011-03-09 20:59:15 UTC
Fix is here:

http://git.gnome.org/browse/gdm/commit/?id=fb47acb592e7e201e5ccedbfbae7d32d8cf254f2


building now.

Comment 2 Fedora Update System 2011-03-09 21:20:53 UTC
gdm-2.91.93-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gdm-2.91.93-2.fc15

Comment 3 Jason D. Clinton 2011-03-09 21:46:22 UTC
Yep. That fixes it for me. Bumping the karma.

Comment 4 Jason D. Clinton 2011-03-09 21:48:32 UTC
Will this negatively affect the autologin for the GNOME 3 test day ISO's being spun tonight?

Comment 5 Fedora Update System 2011-03-11 06:09:28 UTC
gdm-2.91.93-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.